CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [indstillinger]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[INDSTILLINGER]

--add-simple-plugin
    Tilføj et simpelt udvidelsesmodul (dvs. et udvidelsesmodul som kun består af en .py-fil), ved at specificere stien til py-filen, der indeholder koden for udvidelsesmodulet.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Fejlfind enhedsdetektion

--default-programs
    (Af)registrer Calibre fra Windows' standardprogrammer. --default-programs = (register|unregister)

--diff
    Kør Calibres forskelsværktøj. For eksempel: calibre-debug --diff fil1 fil2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Kør den grafiske brugerflade med fejlsøgning aktiveret. Fejlsøgningsuddata vises på standardud eller standardfejl.

--gui-debug
    Kør den grafiske brugerflade med en fejlsøgningskonsol, log til den angivne sti. Kun for intern brug, brug tilvalget -g for at køre den grafiske brugerflade i fejlsøgningstilstand

--help, -h
    show this help message and exit

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importer tidligere eksporterede Calibre-data

--inspect-mobi, -m
    Inspicer MOBI-filerne på de angivne stier

--paths
    Vis stierne nødvendige for at opsætte Calibremiljøet

--reinitialize-db
    Indstil Calibre SQLite databasen på den angivne sti igen. Kan være nyttigt hvis databasen er beskadiget.

--run-plugin, -r
    Kør et udvidelsesmodul, som giver en kommandolinjegrænseflade. For eksempel: calibre-debug -r "Tilføj bøger" -- fil1 --option1 Alt efter -- vil blive overført til udvidelsesmodulet som parametre.

--shutdown-running-calibre, -s
    Får en, hvis nogen, kørende instans af Calibra til at stoppe. Bemærk at hvis der er igangværende opgaver, så vil de blive afsluttet i stilhed, så brug med forsigtighed

--subset-font, -f
    Subset the specified font. Use -- after this option to pass option to the font subsetting program.

--test-build
    Test binære moduler i bygning

--version
    show program's version number and exit

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal